Bug 136652 - RADIUS and MS-CHAP V2 support
Summary: RADIUS and MS-CHAP V2 support
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-21 14:07 UTC by Dirk Nehring
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-10-30 15:55:06 UTC


Attachments (Terms of Use)
The RADIUS patch. (1.95 KB, patch)
2004-10-21 14:08 UTC, Dirk Nehring
no flags Details | Diff

Description Dirk Nehring 2004-10-21 14:07:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [en]

Description of problem:
Hi,

here is a long awaited patch for RADIUS support for pppd. It works 
for us for about 2 years!

I also added a patch for MS-CHAP V2 authentification, if you are 
happy with the license, please also apply it. It also works for us in 
combination with pptpd.

Version-Release number of selected component (if applicable):
2.4.2

How reproducible:
Always

Steps to Reproduce:
It's a feature request.    

Additional info:

Comment 1 Dirk Nehring 2004-10-21 14:08:26 UTC
Created attachment 105587 [details]
The RADIUS patch.

Comment 2 Marcin Garski 2005-01-09 17:21:48 UTC
On 14 November 2004 ppp 2.4.3 was released.
It include things like:
* Various fixes and enhancements to the radius and rp-pppoe plugins
  have been added.

* There is a new winbind plugin, from Andrew Bartlet of the Samba
  team, which provides the ability to authenticate the peer against an
  NT domain controller using MS-CHAP or MS-CHAPV2.

* There is a new pppoatm plugin, by various authors, sent in by David
  Woodhouse.

So maybe updating ppp to newer version will resolve this bug?

If you will be updating ppp please add to spec file URL to home page:
URL: http://ppp.samba.org/

Thanks.

Comment 3 Matthew Miller 2006-07-10 20:18:22 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 John Thacker 2006-10-30 15:55:06 UTC
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.